Cyberduck Mountain Duck CLI

#7393 closed defect (fixed)

Exception when opening empty directory

Reported by: thebodster Owned by: dkocher
Priority: normal Milestone: 4.4
Component: ftp Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Hi,

I seem to be suffering a repeatable problem with the current nightly. When connecting to my ftp server (local network) and browsing to an empty directory a java exception is generated and cyberduck exits.

I have attached a couple of .crash dumps for your perusal.

Attachments (3)

Cyberduck_2013-07-29-230826_McMonster.crash (93.2 KB) - added by thebodster on Aug 10, 2013 at 8:56:09 PM.
Cyberduck_2013-07-29-230914_McMonster.crash (91.3 KB) - added by thebodster on Aug 10, 2013 at 8:56:25 PM.
screenshot.png (48.7 KB) - added by thebodster on Aug 13, 2013 at 8:38:10 PM.
entering empty directory

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Aug 10, 2013 at 8:57:40 PM by thebodster

I should note that it may have nothing to do with entering an empty directory, that is just my observed behaviour.

comment:2 Changed on Aug 11, 2013 at 8:46:44 AM by dkocher

  • Milestone set to 4.4
  • Owner set to dkocher
  • Status changed from new to assigned

comment:3 Changed on Aug 13, 2013 at 8:10:48 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

This should be fixed in r12514. Can you please let me know the error message you get when accessing the empty directory using snapshot build 12514 or newer.

comment:4 Changed on Aug 13, 2013 at 8:37:39 PM by thebodster

Exception now caught. See screenshot

Full text from dialog:

NOOP
200 NOOP command successful.
CWD /movies/Children/test
250 CWD command successful.
TYPE A
200 Type set to A.
PASV
227 Entering Passive Mode (192,168,2,103,216,240)
LIST
150 Opening BINARY mode data connection for 'file list'.
226 Transfer complete.

Changed on Aug 13, 2013 at 8:38:10 PM by thebodster

entering empty directory

comment:5 Changed on Aug 13, 2013 at 8:42:15 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:6 Changed on Aug 14, 2013 at 7:14:23 PM by dkocher

  • Component changed from core to ftp
  • Summary changed from Java exception when opening empty directory to Exception when opening empty directory

comment:7 Changed on Aug 14, 2013 at 7:59:26 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r12520.

Note: See TracTickets for help on using tickets.
swiss made software